from app.crud.product import (  # noqa
    get as get_product,
    get_by_sku as get_product_by_sku,
    get_by_barcode as get_product_by_barcode,
    get_multi as get_products,
    create as create_product,
    update as update_product,
    remove as remove_product,
    update_stock as update_product_stock,
)

from app.crud.category import (  # noqa
    get as get_category,
    get_by_name as get_category_by_name,
    get_multi as get_categories,
    create as create_category,
    update as update_category,
    remove as remove_category,
)

from app.crud.supplier import (  # noqa
    get as get_supplier,
    get_by_name as get_supplier_by_name,
    get_multi as get_suppliers,
    create as create_supplier,
    update as update_supplier,
    remove as remove_supplier,
)

from app.crud.inventory import (  # noqa
    get as get_inventory_movement,
    get_multi as get_inventory_movements,
    create as create_inventory_movement,
    remove as remove_inventory_movement,
)

from app.crud.user import (  # noqa
    get as get_user,
    get_by_email as get_user_by_email,
    get_multi as get_users,
    create as create_user,
    update as update_user,
    authenticate as authenticate_user,
    is_active as is_user_active,
    is_superuser as is_user_superuser,
)

# Re-export the module level imports as object-like access
from app.crud import product, category, supplier, inventory, user  # noqa
